<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:52544ed6-b60c-4dec-ae5c-4cec317238e9,g:f733358e-7396-4f63-b5ed-6599d94af5c4-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:ck0001535778="http://mainstcapital.com/20241003" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2022-03-31" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://mainstcapital.com/20241003">
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2022-03-31" schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/cef-pre/2023" schemaLocation="https://xbrl.sec.gov/cef/2023/cef-2023_pre.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/dei-sub/2023" schemaLocation="https://xbrl.sec.gov/dei/2023/dei-sub-2023.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="ck0001535778-20241003_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="ck0001535778-20241003_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="ck0001535778-20241003_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="ck0001535778_UncertaintyToTheValueOfPortfolioInvestmentsRiskMember" abstract="true" name="UncertaintyToTheValueOfPortfolioInvestmentsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_AdvisersManagementAndDeploymentOfCapitalRiskMember" abstract="true" name="AdvisersManagementAndDeploymentOfCapitalRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_InterestRateEnvironmentAndChangesInInterestRatesRiskMember" abstract="true" name="InterestRateEnvironmentAndChangesInInterestRatesRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_CompetitionForInvestmentOpportunitiesRiskMember" abstract="true" name="CompetitionForInvestmentOpportunitiesRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_DependentUponAdvisersInvestmentPersonnelForFutureSuccessRiskMember" abstract="true" name="DependentUponAdvisersInvestmentPersonnelForFutureSuccessRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_AbilityToAttractAndRetainQualifiedPersonnelRiskMember" abstract="true" name="AbilityToAttractAndRetainQualifiedPersonnelRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_MayNotReplicateHistoricalResultsRiskMember" abstract="true" name="MayNotReplicateHistoricalResultsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_DependsToASignificantExtentUponStrongReferralRelationshipsRiskMember" abstract="true" name="DependsToASignificantExtentUponStrongReferralRelationshipsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_BoardOfDirectorsMayChangeOperatingPoliciesAndStrategiesRiskMember" abstract="true" name="BoardOfDirectorsMayChangeOperatingPoliciesAndStrategiesRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_NonDiversifiedInvestmentCompanyRiskMember" abstract="true" name="NonDiversifiedInvestmentCompanyRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_CashBalancesMayExceedFDICLimitsRiskMember" abstract="true" name="CashBalancesMayExceedFDICLimitsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_CorporateSocialResponsibilityRiskMember" abstract="true" name="CorporateSocialResponsibilityRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_InvestmentsMayLoseMoneyRiskMember" abstract="true" name="InvestmentsMayLoseMoneyRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_EconomicRecessionsOrDownturnsRiskMember" abstract="true" name="EconomicRecessionsOrDownturnsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_RisingCreditSpreadsAndInterestRatesRiskMember" abstract="true" name="RisingCreditSpreadsAndInterestRatesRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_InflationRiskMember" abstract="true" name="InflationRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_OriginalIssueDiscountOrPIKInterestRiskMember" abstract="true" name="OriginalIssueDiscountOrPIKInterestRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_LiquidityRiskMember" abstract="true" name="LiquidityRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_MayNotHaveFundsToMakeInvestmentsRiskMember" abstract="true" name="MayNotHaveFundsToMakeInvestmentsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_ClaimsOfOtherCreditorsRiskMember" abstract="true" name="ClaimsOfOtherCreditorsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_ControlOfPortfolioCompaniesRiskMember" abstract="true" name="ControlOfPortfolioCompaniesRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_PortfolioCompaniesDefaultRiskMember" abstract="true" name="PortfolioCompaniesDefaultRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_UnrealizedDepreciationRiskMember" abstract="true" name="UnrealizedDepreciationRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_PrepaymentsOfDebtInvestmentsRiskMember" abstract="true" name="PrepaymentsOfDebtInvestmentsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_CovenantLiteLoansRiskMember" abstract="true" name="CovenantLiteLoansRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_MayNotRealizeGainsFromEquityInvestmentsRiskMember" abstract="true" name="MayNotRealizeGainsFromEquityInvestmentsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_InvestmentsInForeignSecuritiesRiskMember" abstract="true" name="InvestmentsInForeignSecuritiesRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_EffectsOfLeverageRiskMember" abstract="true" name="EffectsOfLeverageRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_SeniorSecuritiesObligationsRiskMember" abstract="true" name="SeniorSecuritiesObligationsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_RevolvingCreditFacilityRiskMember" abstract="true" name="RevolvingCreditFacilityRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_AbilityToSellInvestmentsHeldByAStructuredSubsidiaryRiskMember" abstract="true" name="AbilityToSellInvestmentsHeldByAStructuredSubsidiaryRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_InvestmentsInDerivativesRiskMember" abstract="true" name="InvestmentsInDerivativesRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_ConflictsOfInterestMayLeadToRiskierInvestmentsRiskMember" abstract="true" name="ConflictsOfInterestMayLeadToRiskierInvestmentsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_ObligatedToPayIncentiveCompensationRiskMember" abstract="true" name="ObligatedToPayIncentiveCompensationRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_ConflictsOfInterestInAllocatingInvestmentOpportunitiesRiskMember" abstract="true" name="ConflictsOfInterestInAllocatingInvestmentOpportunitiesRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_AbilityToEnterIntoTransactionsWithOurAffiliatesIsRestrictedRiskMember" abstract="true" name="AbilityToEnterIntoTransactionsWithOurAffiliatesIsRestrictedRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_LiabilityIsLimitedUnderTheAdvisoryAgreementMayLeadAdviserToActInARiskierMannerRiskMember" abstract="true" name="LiabilityIsLimitedUnderTheAdvisoryAgreementMayLeadAdviserToActInARiskierMannerRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_AdviserCanResignRiskMember" abstract="true" name="AdviserCanResignRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_BDCConstraintsRiskMember" abstract="true" name="BDCConstraintsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_BDCRegulationsRiskMember" abstract="true" name="BDCRegulationsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_LegislationMayAllowAdditionalLeverageRiskMember" abstract="true" name="LegislationMayAllowAdditionalLeverageRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_InvestmentInSecuritiesMayInvolveRiskMember" abstract="true" name="InvestmentInSecuritiesMayInvolveRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_NoActiveTradingMarketForCommonStockRiskMember" abstract="true" name="NoActiveTradingMarketForCommonStockRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_MarketPriceForCommonStockMayBeVolatileRiskMember" abstract="true" name="MarketPriceForCommonStockMayBeVolatileRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_DistributionsRiskMember" abstract="true" name="DistributionsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_PurchasesOfCommonStockUnderRule10b51RiskMember" abstract="true" name="PurchasesOfCommonStockUnderRule10b51RiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_SalesOfCommonStockInPublicMarketRiskMember" abstract="true" name="SalesOfCommonStockInPublicMarketRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_ClosingOfTheOfferingRiskMember" abstract="true" name="ClosingOfTheOfferingRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_StockholdersMayExperienceDilutionInTheirOwnershipPercentageRiskMember" abstract="true" name="StockholdersMayExperienceDilutionInTheirOwnershipPercentageRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_UseOfProceedsRiskMember" abstract="true" name="UseOfProceedsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_ArticlesOfIncorporationCouldDeterTakeoverAttemptsRiskMember" abstract="true" name="ArticlesOfIncorporationCouldDeterTakeoverAttemptsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_PreferredStockRiskMember" abstract="true" name="PreferredStockRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_CorporateLevelU.S.FederalIncomeTaxRiskMember" abstract="true" name="CorporateLevelU.S.FederalIncomeTaxRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_MaintainingRICTaxTreatmentRiskMember" abstract="true" name="MaintainingRICTaxTreatmentRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_DividendsPaidWithStockRickMember" abstract="true" name="DividendsPaidWithStockRickMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_StockholdersCurrentTaxLiabilityRiskMember" abstract="true" name="StockholdersCurrentTaxLiabilityRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_LegislativeOrRegulatoryTaxChangesRiskMember" abstract="true" name="LegislativeOrRegulatoryTaxChangesRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_OutsideEventsIncludingPublicHealthCrisesSupplyChainDisruptionsAndInflationRiskMember" abstract="true" name="OutsideEventsIncludingPublicHealthCrisesSupplyChainDisruptionsAndInflationRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_MarketConditionsMayAffectDebtAndEquityCapitalMarketsRiskMember" abstract="true" name="MarketConditionsMayAffectDebtAndEquityCapitalMarketsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_FailureToComplyWithApplicableLawsOrRegulationsRiskMember" abstract="true" name="FailureToComplyWithApplicableLawsOrRegulationsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_FluctuationsInOperatingResultsRiskMember" abstract="true" name="FluctuationsInOperatingResultsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_TechnologicalInnovationsAndIndustryDisruptionsRiskMember" abstract="true" name="TechnologicalInnovationsAndIndustryDisruptionsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_InformationSystemsAndSystemsFailuresRiskMember" abstract="true" name="InformationSystemsAndSystemsFailuresRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_FailureInCybersecuritySystemsRiskMember" abstract="true" name="FailureInCybersecuritySystemsRiskMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_CorporateFacilityMember" abstract="true" name="CorporateFacilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_SPVFacilityMember" abstract="true" name="SPVFacilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_SeriesANotesMember" abstract="true" name="SeriesANotesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="ck0001535778_DeutscheBankCreditFacilityMember" abstract="true" name="DeutscheBankCreditFacilityMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
</xs:schema>
